path: /build/build/virtualbox-modules-kernel-5.10-7.1.8.168469.package.tar.zst
dependencies: []
compilespec:
  steps:
  - epro list && eselect kernel set linux-5.10.238-macaroni && eselect kernel list
    && emerge -j ${JOBS} app-emulation/virtualbox-modules -pv -t
  - |
    emerge -j ${JOBS} app-emulation/virtualbox-modules
  - |
    eval 'rm -rf /virtualbox-modules || true' && mkdir /virtualbox-modules && \
    luet-portage --dir /virtualbox-modules app-emulation/virtualbox-modules
  - for i in /virtualbox-modules/lib/modules/5.10.238-macaroni/misc/*.ko ; do xz -z
    ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:2a5351f538f54a4154735a43ae3a210313aa7b143e08f7c804a14ecb1efd9646
  package:
    name: virtualbox-modules
    version: 7.1.8.168469
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    provides:
    - name: virtualbox-modules
      version: '>=0'
      category: app-emulation
    annotations:
      kernel_module: true
    buildtimestamp: 2025-06-15 17:27:42.162611083 +0000 UTC m=+386.233124580
    labels:
      emerge.packages: app-emulation/virtualbox-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.238
    treedir: /build/packages
  package_dir: /virtualbox-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/etc/modprobe.d/
  - ^/usr/lib/modules-load.d/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fc4b794c4ce1a4f88a1a4b041e5b55d1fe4cbc6f81a4ea6461e80fbf712470ea
compressiontype: zstd
files:
- lib/modules/5.10.238-macaroni/misc/vboxdrv.ko.xz
- lib/modules/5.10.238-macaroni/misc/vboxnetadp.ko.xz
- lib/modules/5.10.238-macaroni/misc/vboxnetflt.ko.xz
package_cacheimage: ""
runtime:
  name: virtualbox-modules
  version: 7.1.8.168469
  category: kernel-5.10
  requires:
  - name: virtualbox-common
    version: '>=0'
    category: kernel
  provides:
  - name: virtualbox-modules
    version: '>=0'
    category: app-emulation
  annotations:
    kernel_module: true
  labels:
    emerge.packages: app-emulation/virtualbox-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.238
